MR-E-2 SDK

Public Member Functions | List of all members
MrE2ModuleSdk.Device.II2C Interface Reference
Inheritance diagram for MrE2ModuleSdk.Device.II2C:

## Public Member Functions
int | ReadI2CReadPointer0Address ()
| Returns the address of the register that will be used to evaluate the first register in the read request. Value is updated at controller frequency. More...
void | WriteI2CReadPointer0Address (int address)
| Sets the address of the register that will be used to evaluate the first register in the read request. Value is updated at controller frequency. More...
int | ReadI2CReadPointer1Address ()
| Returns the address of the register that will be used to evaluate the second register in the read request.Value is updated at controller frequency. More...
void | WriteI2CReadPointer1Address (int address)
| Sets the address of the register that will be used to evaluate the second register in the read request.Value is updated at controller frequency. More...
uint | ReaI2CErrorResponse0 ()
| Returns error response of the first register of the write request. More...
uint | ReaI2CErrorResponse1 ()
| Returns error response of the second register of the write request. More...

## Member Function Documentation

## ◆ ReadI2CReadPointer0Address()

int MrE2ModuleSdk.Device.II2C.ReadI2CReadPointer0Address | ( |  | ) |

Returns the address of the register that will be used to evaluate the first register in the read request. Value is updated at controller frequency.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadI2CReadPointer1Address()

int MrE2ModuleSdk.Device.II2C.ReadI2CReadPointer1Address | ( |  | ) |

Returns the address of the register that will be used to evaluate the second register in the read request.Value is updated at controller frequency.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReaI2CErrorResponse0()

uint MrE2ModuleSdk.Device.II2C.ReaI2CErrorResponse0 | ( |  | ) |

Returns error response of the first register of the write request.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReaI2CErrorResponse1()

uint MrE2ModuleSdk.Device.II2C.ReaI2CErrorResponse1 | ( |  | ) |

Returns error response of the second register of the write request.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteI2CReadPointer0Address()

void MrE2ModuleSdk.Device.II2C.WriteI2CReadPointer0Address | ( | int | address | ) |

Sets the address of the register that will be used to evaluate the first register in the read request. Value is updated at controller frequency.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteI2CReadPointer1Address()

void MrE2ModuleSdk.Device.II2C.WriteI2CReadPointer1Address | ( | int | address | ) |

Sets the address of the register that will be used to evaluate the second register in the read request.Value is updated at controller frequency.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

The documentation for this interface was generated from the following file:

- Device/MrE2SdkComDeviceController.cs